Page MenuHome

Selecting Materials after creating a new file throws EXCEPTION_ACCESS_VIOLATION
Closed, ResolvedPublic

Description

System Information
Operating system: Windows-10-10.0.17763 64 Bits
Graphics card: GeForce GTX 260M/PCIe/SSE2 NVIDIA Corporation 3.3.0

Blender Version
Broken: version: 2.80 (sub 57), branch: blender2.7, commit date: 2019-04-17 19:26, hash: rBb46245470f79
Worked: version: 2.80 (sub 55), branch: blender2.7, commit date: 2019-04-09 18:12, hash: rB009dbc2bc9fb

Short description of error
This is kind of weird, but I'll try to be concise as possible. If I open Blender with the default startup file and select materials, it crashes. If I open it with the default start up file, select Cycles, then back to Eevee (instantly), then materials, it also crashes. However if I change from Eevee to Cycles, click the materials tab, then change back to Eevee, then select materials again, it doesn't crash.

After all that, hitting Ctrl+N and creating a new general file, and selecting materials then causes the crash to happen again.

Exact steps for others to reproduce the error
[Please describe the exact steps needed to reproduce the issue]
[Based on the default startup or an attached .blend file (as simple as possible)]

  1. Open blender with the default start up file with Render Engine set to the default (Eevee) engine.
  2. Click on Materials in the Properties panel.
  3. The materials panel will load, and the program will crash about half a second later.

Also, I was digging through and found the debug cmd scripts. I used the blender_factory_startup one, and have attached the text files.

Event Timeline

Yu-sion (Yu-sion) renamed this task from Crash on selecting Materials after creating a new file to Selecting Materials after creating a new file throws EXCEPTION_ACCESS_VIOLATION.Apr 18 2019, 1:51 PM
Yu-sion (Yu-sion) updated the task description. (Show Details)

Continued to play it a bit and found that hitting Z and selecting Rendered or LookDev display modes also crashes the program. I replicated this using the same blender_factory_startup.cmd script, and all 3 seem to generate the same output in the blender_debug_output.txt file. I know I had no problems with the Rendered display mode in the previous build mentioned above.

GPUShader: compile error:
0(962) : error C0105: Syntax error in #if
0(962) : error C0105: Syntax error in #if
0(963) : error C0000: syntax error, unexpected '!' at token "!"
0(1176) : error C1013: function "main" is already defined at 0(982)

GPUShader: compile error:
0(962) : error C0105: Syntax error in #if
0(962) : error C0105: Syntax error in #if
0(963) : error C0000: syntax error, unexpected '!' at token "!"
0(1197) : error C1013: function "main" is already defined at 0(982)

GPUShader: compile error:
0(962) : error C0105: Syntax error in #if
0(962) : error C0105: Syntax error in #if
0(963) : error C0000: syntax error, unexpected '!' at token "!"
0(1185) : error C1013: function "main" is already defined at 0(982)

GPUShader: compile error:
0(959) : error C0105: Syntax error in #if
0(959) : error C0105: Syntax error in #if
0(960) : error C0000: syntax error, unexpected '!' at token "!"
0(1039) : error C1013: function "main" is already defined at 0(979)

Error : EXCEPTION_ACCESS_VIOLATION
Address : 0x00007FF6608DD3E4
Module : C:\Users\Kenneth\Downloads\blender-2.80-b46245470f79-win64\blender-2.80.0-git.b46245470f79-windows64\blender.exe

P.S. First time submitting a bug report to you guys, please let me know if I can include anything else to help you resolve this. :)

Sebastian Parborg (zeddb) triaged this task as Normal priority.Apr 18 2019, 3:48 PM

Unsure if I can confirm this or not. I do not get any crashes, but I do get ASAN errors when opening up the materials tab:

/home/zed/prog/blender/source/blender/blenkernel/intern/paint.c:371:21: runtime error: member access within null pointer of type 'struct Sculpt'
/home/zed/prog/blender/source/blender/blenkernel/intern/paint.c:375:21: runtime error: member access within null pointer of type 'struct VPaint'
/home/zed/prog/blender/source/blender/blenkernel/intern/paint.c:379:21: runtime error: member access within null pointer of type 'struct VPaint'
/home/zed/prog/blender/source/blender/blenloader/intern/readfile.c:6456:7: runtime error: member access within null pointer of type 'struct Sculpt'
/home/zed/prog/blender/source/blender/blenloader/intern/readfile.c:6457:7: runtime error: member access within null pointer of type 'struct VPaint'
/home/zed/prog/blender/source/blender/blenloader/intern/readfile.c:6458:7: runtime error: member access within null pointer of type 'struct VPaint'
/home/zed/prog/blender/source/blender/blenkernel/intern/paint_toolslots.c:70:5: runtime error: member access within null pointer of type 'struct Sculpt'
/home/zed/prog/blender/source/blender/blenkernel/intern/paint_toolslots.c:71:5: runtime error: member access within null pointer of type 'struct VPaint'
/home/zed/prog/blender/source/blender/blenkernel/intern/paint_toolslots.c:72:5: runtime error: member access within null pointer of type 'struct VPaint'

Also getting these two on startup:

/home/zed/prog/blender/source/blender/blenloader/intern/readfile.c:6460:7: runtime error: member access within null pointer of type 'struct UvSculpt'
/home/zed/prog/blender/source/blender/depsgraph/intern/depsgraph_tag.cc:298:13: runtime error: member access within null pointer of type 'struct Key'

@LazyDodo (LazyDodo) @Brecht Van Lommel (brecht) are these harmless errors or will these lead to crashes?

@Yu-sion (Yu-sion) are you using the latest nvidia drivers for your card?

These kinds of errors are not harmless I think. They might be the same as T63046: Crashing loading .blend file with missing paint tool slots.

Yu-sion (Yu-sion) added a comment.EditedApr 19 2019, 11:56 AM

@Sebastian Parborg (zeddb), yes, I am.

GEFORCE 342.01 DRIVER
Version: 342.01 WHQL
Release Date: 2016.12.14

Edit to add: I still have a copy of the previous working version as mentioned above (version: 2.80 (sub 55), branch: blender2.7, commit date: 2019-04-09 18:12, hash: rB009dbc2bc9fb) still on my harddrive and I can still use it without any of these errors. Something has changed between then that is causing this crash for me.

@Adam (Adamsuper) are you using the latest drivers for your card?

@Yu-sion (Yu-sion) are you able to build blender by yourself by any chance? If so you could try to git bisect search and find the commit that broke this for you.

Yu-sion (Yu-sion) added a comment.EditedApr 19 2019, 1:42 PM

@Sebastian Parborg (zeddb) Well, I do some programming myself and I found the step-by-step guide on Building Blender on the wiki, fairly confident I can do it. My knowledge on git however is pretty basic, not sure about my ability to do a bisect search.

Sebastian Parborg (zeddb) raised the priority of this task from Normal to Confirmed, High.

Seems like a lot of people has issues now, so I'll raise the priority.

@Yu-sion (Yu-sion) It is not that hard: https://git-scm.com/book/en/v2/Git-Tools-Debugging-with-Git

Basically you go the blender source code directory type git bisect start.

Then you can do git bisect good <commit hash of blender build that works> and git bisect bad or git bisect bad <commit hash of bad build>.
After that you build blender and run it. If the current build works without any issues you type git bisect good and bad if it doesn't work.
You then rebuild blender (as bisect switches commits for you) until you narrow down the bad commit.

@Sebastian Parborg (zeddb) Oh yeah, pretty sure I watched a video on that. Downloading the libraries now, and I have some stuff I need to do this morning, but I'll give it a shot later today or sometime tomorrow and report back. :)

@Sebastian Parborg (zeddb) I just wanted to let you know I haven't forgotten, but as I do C# programming I don't have the C++ workload downloaded for MSVS 2017, and my connection isn't exactly the fastest. But I will try to get it done over the weekend.

Also, sorry, I didn't mean to add Weslley, I just wanted to say I have/had (almost) the same problem he reported here, only mine doesn't crash it just hangs and stops responding. So I might try to look into that as well.

@George Vogiatzis (Gvgeo), @Sebastian Parborg (zeddb),

Can confirm this (T63698) and T63760 are related (or were at least broken in the same commit I guess would be better wording). As promised, I just got done doing a bisect search, and every time that clicking Materials caused a crash, selecting either Rendered or LookDev display modes would also cause a crash. They also both give me the exact same error output from the debug cmd scripts.

Here's the bisect log and result.

  1. bad: [2fb9c8ef125f975596b6ef9c8f021403f8279bdf] Cleanup: add missing macros to clang-format git bisect bad 2fb9c8ef125f975596b6ef9c8f021403f8279bdf
  2. good: [0c3500e068ea55d0d67df0de905aaed99b58b8a9] Cleanup: style, shadow warning git bisect good 0c3500e068ea55d0d67df0de905aaed99b58b8a9
  3. good: [49e4182b6c9f3c78fe54b66170e992fb02e2c59a] ClangFormat: add comments to ignore formatting git bisect good 49e4182b6c9f3c78fe54b66170e992fb02e2c59a
  4. bad: [7d78474941523705fa6cb4305f6ac30bce6bd1ce] AMD glitch: missing changes in f41ab375f38b git bisect bad 7d78474941523705fa6cb4305f6ac30bce6bd1ce
  5. bad: [5461a68852d746498ac29eb06b8e12f79519ad79] Avoid autosave name collisions git bisect bad 5461a68852d746498ac29eb06b8e12f79519ad79
  6. bad: [41d4a1986548e66a652221e4a68c52900474eeff] ClangFormat: format '#if 0' code in source/ git bisect bad 41d4a1986548e66a652221e4a68c52900474eeff
  7. good: [5d8030b8f3cfff1b83d7e2d98359a8dc51f78711] Industry Compat keymap: Fix loop selection git bisect good 5d8030b8f3cfff1b83d7e2d98359a8dc51f78711
  8. good: [b3dabc200a4b0399ec6b81f2ff2730d07b44fcaa] editorconfig: update for new clang-format config git bisect good b3dabc200a4b0399ec6b81f2ff2730d07b44fcaa
  9. bad: [91a9cd0a94000047248598394c41ac30f893f147] ClangFormat: manually format sobol.cpp git bisect bad 91a9cd0a94000047248598394c41ac30f893f147
  10. bad: [e12c08e8d170b7ca40f204a5b0423c23a9fbc2c1] ClangFormat: apply to source, most of intern git bisect bad e12c08e8d170b7ca40f204a5b0423c23a9fbc2c1
  11. first bad commit: [e12c08e8d170b7ca40f204a5b0423c23a9fbc2c1] ClangFormat: apply to source, most of intern

commit e12c08e8d170b7ca40f204a5b0423c23a9fbc2c1
Date: Wed Apr 17 06:17:24 2019 +0200

ClangFormat: apply to source, most of intern
 
Apply clang format as proposed in T53211.
 
For details on usage and instructions for migrating branches
without conflicts, see:
 
https://wiki.blender.org/wiki/Tools/ClangFormat

:040000 040000 6ce53d83644db15644ad3c1fcccc6c5fab52d651 793f344d5846cab34f32b66358af2b302ffd8ee0 M intern
:040000 040000 bce059dd6ae7062dfee590f4aadbb12756d8f267 13663978678ae2bceddcc5d5113d7e869b29ae5c M source
:040000 040000 dc23f218ecbf3f17d45c4da302e51e4aeadc3285 e8e184eb33254edd9ca1c008dd0fb03c63fc5b1c M tests

And since I have limited experience with C++ I leave the rest to you guys, haha. I hope this helps though. :)

P.S. I'm probably never doing that again. Unless I'm doing something wrong, those build times are crazy on an old 2.53GHz dual core. :(

Thanks for tracking down the commit. I committed a fix, but I was not able to reproduce myself so please test if it actually worked in the next build.

Yu-sion (Yu-sion) added a comment.EditedApr 21 2019, 10:03 PM

Thank you, @Brecht Van Lommel (brecht), commit c8fc23fdbe0 has fixed the reported issues with the materials tab along with the lookdev and rendered display modes..